/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<private/qt3dquick3dlogicforeign_p.h>)
#  include <private/qt3dquick3dlogicforeign_p.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_Qt3D_Logic()
{
    qmlRegisterModule("Qt3D.Logic", 2, 0);
    qmlRegisterModule("Qt3D.Logic", 2, 254);
    qmlRegisterModule("Qt3D.Logic", 6, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<QFrameActionForeign>("Qt3D.Logic", 6);
    QMetaType::fromType<QFrameActionForeign *>().id();
    QMetaType::fromType<Qt3DCore::QComponent *>().id();
    QMetaType::fromType<Qt3DCore::QNode *>().id();
    QT_WARNING_POP
    qmlRegisterModule("Qt3D.Logic", 6, 12);
}

static const QQmlModuleRegistration qt3DLogicRegistration("Qt3D.Logic", qml_register_types_Qt3D_Logic);
